### Method

# WebKit WebContext add_path_to_sandbox

since: 2.26

#### Declaration [src]

    void
    webkit_web_context_add_path_to_sandbox (
      WebKitWebContext* context,
      const char* path,
      gboolean read_only
    )

#### Description [src]

Adds a path to be mounted in the sandbox.

`path` must exist before any web process has been created otherwise it will be silently ignored. It is a fatal error to add paths after a web process has been spawned.

Paths in directories such as `/sys`, `/proc`, and `/dev` or all of `/` are not valid.

See also `webkit_web_context_set_sandbox_enabled()`

Available since: 2.26

#### Parameters

`path`

  Type: `const char*`

  An absolute path to mount in the sandbox.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`read_only`

  Type: `gboolean`

  If `TRUE` the path will be read-only.